Pular para o conteúdo principal
curl -X GET https://checkout.noxpay.io/v2/naas/wl_groups \
  -H "api-key: <key>" \
  -H "X-Timestamp: 2026-05-27T14:30:00Z" \
  -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
  -H "X-Signature: <assinatura-dos-headers>"
import requests

# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
    "https://checkout.noxpay.io/v2/naas/wl_groups",
    headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/wl_groups", {
  method: "GET",
  headers,
});
const data = await response.json();
{
  "groups": [
    {
      "id": "fb-wallet-abc123",
      "label": "Tesouraria",
      "addresses": [
        {
          "id": "addr-1",
          "address": "0xABC123...",
          "currency": "USDT_ETH",
          "status": "active"
        }
      ]
    }
  ]
}

Response 200 OK

CampoTipoDescrição
groupsarrayGrupos de carteira registrados para este sub-merchant
groups[].idstringID do grupo de carteira Fireblocks
groups[].labelstringNome legível do grupo
groups[].addressesarrayEndereços registrados neste grupo
groups[].addresses[].idstringID da entrada de endereço
groups[].addresses[].addressstringEndereço cripto
groups[].addresses[].currencystringCódigo do ativo
groups[].addresses[].statusstringactive ou pending
curl -X GET https://checkout.noxpay.io/v2/naas/wl_groups \
  -H "api-key: <key>" \
  -H "X-Timestamp: 2026-05-27T14:30:00Z" \
  -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
  -H "X-Signature: <assinatura-dos-headers>"
import requests

# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
    "https://checkout.noxpay.io/v2/naas/wl_groups",
    headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/wl_groups", {
  method: "GET",
  headers,
});
const data = await response.json();
{
  "groups": [
    {
      "id": "fb-wallet-abc123",
      "label": "Tesouraria",
      "addresses": [
        {
          "id": "addr-1",
          "address": "0xABC123...",
          "currency": "USDT_ETH",
          "status": "active"
        }
      ]
    }
  ]
}